<html>
    <body>
        <?php
        ini_set("max_execution_time", 5000);
        ini_set('memory_limit', '1024M');
        $via = [0 => 'BKP & BANK', 1 => 'BKP', 2 => 'BANK'];
        ?>
        <div>
            <h3 style="text-align: center; text-decoration: underline;">BUKU PEMBANTU PENERIMAAN SEJENIS VIA:<?= $via[(int) $viapembayaran] ?></h3>
            <h4 style="text-align:center;">TAHUN ANGGARAN: <?= date('Y', strtotime($tgl1)) ?></h4>

            <p style="font-style: italic;"><?= $tgl1 ?> s/d <?= $tgl2 ?></p>
            <table style="width: 100%;" class="table_bpps">
                <tr>
                    <th style="text-align: center;width: 4%;">No.</th>
                    <th style="text-align: center;">Nama Rekening</th>
                    <th style="text-align: center; width: 10%;">Kode Bayar</th>
                    <th style="text-align: center;">Diterima Dari</th>
                    <th style="text-align: center;">NPWPD</th>
                    <th style="text-align: center;">Jumlah</th>
                </tr>

                <?php
                $no_parent = 1;
                $total_parent = 0;
                foreach ($parent_korek['namakorek'] as $col_parent => $row_parent):
                    ?>
                    <tr>
                        <td><?= $no_parent ?></td>
                        <td colspan="5"><b><?= $row_parent ?></b></td>
                    </tr>

                    <?php
                    $no_child = 1;
                    $total_child = 0;
                    foreach ($data as $row):
                        if ($row['s_jenisobjek'] == $parent_korek['jeniskorek'][$col_parent]):
                            ?>
                            <tr>
                                <td><?= $no_parent . '.' . $no_child ?></td>
                                <td><?= $row['korek_child'] ?></td>
                                <td style="text-align: right;"><?= $row['t_kodebayar'] ?></td>
                                <td>DITERIMA DARI <?= strtoupper($row['t_namaobjek']) ?></td>
                                <td><?= $row['t_npwpd'] ?></td>
                                <td style="text-align: right;"><?= number_format($row['t_jmlhpembayaran'], 0, ',', '.') ?></td>
                            </tr>

                            <?php
                            $no_child++;
                            $total_child += $row['t_jmlhpembayaran'];
                        endif;
                    endforeach;
                    ?>
                    <tr>
                        <td colspan="5" style="text-align: right"><b>Jumlah <?= $row_parent ?></b></td>
                        <td style="text-align: right"><b><?= number_format($total_child, 0, ',', '.') ?></b></td>
                    </tr>

                    <?php
                    $total_parent += $total_child;
                    $no_parent++;
                endforeach;
                ?>
                <tr>
                    <td colspan="5" style="text-align: right"><b>Jumlah Total</b></td>
                    <td style="text-align: right"><b><?= number_format($total_parent, 0, ',', '.') ?></b></td>
                </tr>
            </table>
        </div>
    </body>
</html>

<style type="text/css">
    .font_empatbelas {
        font-size: 14pt;
    }
    table, tr, td, th {
        border: 1px solid black;
        border-collapse: collapse;
    }
    th {
        padding: 10px 10px 10px 10px;
    }
    td {
        padding: 5px 5px 5px 5px;
    }



</style>

